com.sun.jdi

## Interface VoidValue

- All Superinterfaces:
    Mirror, Value

      public interface VoidValue
      extends Value

  Provides access to a primitive `void` value in the target VM.
  Since:
    1.3

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)` Compares the specified Object with this VoidValue for equality.
    `int` | `hashCode()` Returns the hash code value for this VoidValue.

    - ### Methods inherited from interface com.sun.jdi.Value

      `type`

    - ### Methods inherited from interface com.sun.jdi.Mirror

      `toString, virtualMachine`

- - ### Method Detail

    - #### equals

          boolean equals(Object obj)

      Compares the specified Object with this VoidValue for equality.
      Overrides:
        `equals` in class `Object`
      Parameters:
        `obj` - the reference object with which to compare.
      Returns:
        true if the Object is a VoidValue; false otherwise.
      See Also:
        `Object.hashCode()`, `Hashtable`

    - #### hashCode

          int hashCode()

      Returns the hash code value for this VoidValue.
      Overrides:
        `hashCode` in class `Object`
      Returns:
        the hash code
      See Also:
        `Object.equals(java.lang.Object)`, `Hashtable`

Copyright © 1999, 2014, Oracle and/or its affiliates. All rights reserved.